Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Accessioned

All Superinterfaces:
  Persistent, java.io.Serializable

All Known Subinterfaces:
  Exon, Gene, Transcript, Translation

public interface Accessioned
extends Persistent

Object is capable of having an accession (stable id) which is stable across Ensembl data releases and has a version, creation and last modified date.

Method Summary
`java.lang.String` | `getAccessionID()` Return the accession (stable id) for this object.
`java.util.Date` | `getCreatedDate()` Return the date this object was created.
`java.util.Date` | `getModifiedDate()` Return the date the object was last modified.
`int` | `getVersion()` Return the version of this object.
`void` | `setAccessionID(java.lang.String accessionID)` Set the accession (stable id) for this object.
`void` | `setCreatedDate(java.util.Date createdDate)` Set the date the object was created .
`void` | `setModifiedDate(java.util.Date modifiedDate)` Set the date the object was last modified.
`void` | `setVersion(int version)` Set the version of this object.

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getAccessionID

    public java.lang.String getAccessionID()

  Return the accession (stable id) for this object.

  Returns:
    accession (stable id) for this object.

### setAccessionID

    public void setAccessionID(java.lang.String accessionID)

  Set the accession (stable id) for this object.

  Parameters:
    `accessionID` - accession (stable id) for this object.

### setVersion

    public void setVersion(int version)

  Set the version of this object. Different versions of the object have the same accessionID and different versions.

  Parameters:
    `version` - version of this object.
  See Also:
    `getAccessionID()`

### getVersion

    public int getVersion()

  Return the version of this object. Different versions of the object have the same accessionID and different versions.

  Returns:
    version of this object.
  See Also:
    `getAccessionID()`

### getCreatedDate

    public java.util.Date getCreatedDate()

  Return the date this object was created. Note: currently this date might be incorrect due to production reasons.

  Returns:
    date the accession was created.

### setCreatedDate

    public void setCreatedDate(java.util.Date createdDate)

  Set the date the object was created .

  Parameters:
    `createdDate` - the date the object was created.

### getModifiedDate

    public java.util.Date getModifiedDate()

  Return the date the object was last modified.

  Returns:
    date the object was last modified.

### setModifiedDate

    public void setModifiedDate(java.util.Date modifiedDate)

  Set the date the object was last modified.

  Parameters:
    `modifiedDate` - the date the object was last modified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD